<?php
include(dirname(dirname(dirname(__FILE__)))."/./configs/config.php");
include(dirname(dirname(dirname(__FILE__)))."/./configs/db_config.php");
include(dirname(dirname(dirname(__FILE__)))."/./includes/base.php");
header("Content-Type:text/html;charset=GB2312");
session_start();
date_default_timezone_set('PRC');
$phpcolor = new mysql();
$phpcolor->open();
require_once("alipay.config.php");
require_once("lib/alipay_notify.class.php");
//计算得出通知验证结果
$alipayNotify = new AlipayNotify($alipay_config);
$verify_result = $alipayNotify->verifyNotify();
//验证成功
if($verify_result)
{
  //商户订单号
  $out_trade_no = $_POST['out_trade_no'];
  //支付宝交易号
  $trade_no = $_POST['trade_no'];
  //交易状态
  $trade_status = $_POST['trade_status'];
  //该判断表示买家已在支付宝交易管理中产生了交易记录，但没有付款
  if($_POST['trade_status'] == 'WAIT_BUYER_PAY')
    echo "success";//请不要修改或删除
  //该判断表示买家已在支付宝交易管理中产生了交易记录且付款成功，但卖家没有发货
  else if($_POST['trade_status'] == 'WAIT_SELLER_SEND_GOODS')
	echo "success";//请不要修改或删除
  //该判断表示卖家已经发了货，但买家还没有做确认收货的操作
  else if($_POST['trade_status'] == 'WAIT_BUYER_CONFIRM_GOODS')
	echo "success";//请不要修改或删除
  //该判断表示买家已经确认收货，这笔交易完成
  else if($_POST['trade_status'] == 'TRADE_FINISHED')
  {
	$phpcolor->table="pay";
	$phpcolor->field="username,money";
	$phpcolor->where="sid = '".$out_trade_no."' and status>=1";
	if($pay=$phpcolor->exist(1))
	{  
      $phpcolor->field="status='0'";
      $phpcolor->where="sid = '".$out_trade_no."'";
      $phpcolor->upgrade();
	  $time=date('Y-m-d H:i:s',strtotime(date('Y-m-d H:i:s'))+$core_time*3600);
      $phpcolor->table="user";
      $phpcolor->field="money=money+".$pay['money'];
      $phpcolor->where="username = '".$pay['username']."'";
      $phpcolor->upgrade();
	}
	echo "success";//请不要修改或删除
  }
  //其他状态判断
  else
    echo "success";
}
//验证失败
else
  echo "fail";
?>